# This file contains a complete database schema for all the 
# tables used by this module, written in SQL

# It may also contain INSERT statements for particular data 
# that may be used, especially new entries in the table log_display

#
# Table structure for table `assignment`
#

CREATE TABLE `prefix_assignment` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `course` int(10) unsigned NOT NULL default '0',
  `idAct` int(10) unsigned NOT NULL default '0',
  `timedueOld` int(10) unsigned NOT NULL default '0',
  `timedueNou` int(10) unsigned NOT NULL default '0',
  `usuCanvi` varchar(100) NOT NULL default '',
  `motiuCanvi` text NOT NULL default '',
  `dataCanvi` int(10) unsigned NOT NULL default '0',
  `tipReg` varchar(1) NOT NULL default '',  
  PRIMARY KEY  (`id`),
  KEY `course` (`course`)
) COMMENT='Defines planpacs';
# --------------------------------------------------------
