<?PHP // $Id: index.php,v 1.1 2003/09/30 02:45:19 moodler Exp $

/// This page lists all the instances of planpacs in a particular course

// Incloem els fitxers
    require_once("../../config.php");
    require_once("lib.php");
	require_once("$CFG->dirroot/mod/assignment/lib.php");
	require('configuracio.php');
	
	$id = required_param('id', PARAM_INT); // course

    require_variable($id);   // course

    if (! $course = get_record("course", "id", $id)) {
        error("Course ID is incorrect");
    }

    require_login($course->id);

    add_to_log($course->id, "planpacs", "view all", "index.php?id=$course->id", "");


/// Recuperem cadenes de text

    $strplanpacss = get_string("Planpacs", "block_planpacs");
    $strplanpacs  = get_string("Planpacs", "block_planpacs");


/// Print the header

    if ($course->category) {
        $navigation = "<A HREF=\"../../course/view.php?id=$course->id\">$course->shortname</A> ->";
    }

    print_header("$course->shortname: $strplanpacss", "$course->fullname", "$navigation $strplanpacss", "", "", true, "", navmenu($course));

/// Get all the appropriate data
	
	if (!$assignments = get_all_instances_in_course("assignment", $course))
	{
	notice(get_string('noassignments', 'assignment'), "../../course/view.php?id=$course->id");
	die;
	}

/// Print the list of instances 

	$numSetmana = 1;
	$timenow = time();

	$timenow = time();
    $strname  = get_string("name");
    $strweek  = get_string("week");	
    $strtopic  = get_string("topic");
	$struser  = get_string("user");
	$strdesc  = get_string("description");
	$strrao  = get_string("raoCanvi", "block_planpacs");	
	$nPac = get_string("pac", "block_planpacs");
	$nomPac = get_string("nomPac", "block_planpacs");
	$desaPac = get_string("desaPac", "block_planpacs");
	$titHihsto = get_string("titHihsto", "block_planpacs");
	$titTaulell = get_string("taulellCtr", "block_planpacs");
	$pacsperfer = get_string("pacsperfer", "block_planpacs");
	$strdescpacs = get_string("strdescpacs", "block_planpacs");
	$strdesccal = get_string("strdesccal", "block_planpacs");
	$strdescrec = get_string("strdescrec", "block_planpacs");
	$strcalendari = get_string("calendari", "block_planpacs");
	$strdesccalimp = get_string("strdesccalimp", "block_planpacs");
		
	$strDate = get_string("date");
	$stredit = get_string("restore");
	
	$daynow = date("j");
	$mesnow = date("n");
	$anynow = date("Y");
			

	?>
	
	<table cellpadding="5" align="center">
		<tr align="center" valign="top"><td colspan="4"><h1><?php echo ($titTaulell); ?></h1></td></tr>
		<tr align="center" valign="top"><td colspan="4"><h2><?php echo ($pacsperfer); ?></h2></td></tr>
		<tr valign="top" align="left">
			<td><b><?php echo($nomPac) ?></b></td>
			<td><b><?php echo(get_string("duedate", "assignment")) ?></b></td>
			<td><b><?php echo(get_string("grade")) ?></b></td>
			<td>&nbsp;</td>
						
		</tr>
	
	<?php
	foreach ($assignments as $assignment) {
		// mirem si ja t nota
		if (!file_exists($CFG->dirroot.'/mod/assignment/type/'.$assignment->assignmenttype.'/assignment.class.php')) {
            continue;
        }

        require_once ($CFG->dirroot.'/mod/assignment/type/'.$assignment->assignmenttype.'/assignment.class.php');
        $assignmentclass = 'assignment_'.$assignment->assignmenttype;
        $assignmentinstance = new $assignmentclass($assignment->coursemodule);
    
        $submitted = $assignmentinstance->submittedlink();

        $grade = '-';
        if ($submission = $assignmentinstance->get_submission($USER->id)) {
            if ($submission->timemarked) {
                $grade = $assignmentinstance->display_grade($submission->grade);
            }
        }		
		// si hi ha pacs ocultes no les mostrem
		if ($assignment->visible){
	?>
			
			<tr valign="top">				
				<td>
					<?php echo($assignment->name) ?>
				</td>
				<td>
					<?php echo(userdate($assignment->timedue)) ?>
				</td>
				<td>
					<?php echo($grade) ?>
				</td>
				<td><a href="../../mod/assignment/index.php?id=<?php echo ($id); ?>"><?php echo get_string('view');?></a></td>												
			</tr>					
	<?php
		}
	}	         
	?>
		<tr align="center" valign="top"><td colspan="4">&nbsp;</td></tr>
		<tr align="center" valign="top"><td colspan="4"><h2><?php echo get_string('resources'); ?></h2></td></tr>			
		<tr valign="top" align="left">
			<td colspan="3"><?php echo($strdescrec) ?></td>
			<td><a href="../../mod/resource/index.php?id=<?php echo ($id); ?>"><?php echo get_string('view');?> </a></td>				
		</tr>
		<tr align="center" valign="top"><td colspan="4">&nbsp;</td></tr>	
		<tr align="center" valign="top"><td colspan="4"><h2><?php echo ($strcalendari); ?></h2></td></tr>			
		<tr valign="top" align="left">
			<td colspan="3"><?php echo($strdesccal) ?></td>
			<td><a href="../../calendar/view.php?view=month&course=<?php echo ($id); ?>&cal_d=<?php echo ($daynow); ?>&cal_m=<?php echo ($mesnow); ?>&cal_y=<?php echo ($anynow); ?>"><?php echo get_string('view');?> </a></td>	
		</tr>
		<?php
		// ara triem la data d'inici del curs per mostrar els tres mesos que es printaran al calendari
		$eldia = (strftime("%d",$course->startdate));
		$elmes = (strftime("%m",$course->startdate));
		$elany = (strftime("%Y",$course->startdate));
		?>
		<tr valign="top" align="left">
			<td colspan="3">
				<?php echo($strdesccalimp) ;?></td>
			<td><a href="calendari.php?view=month&course=<?php echo ($id); ?>&cal_d=<?php echo ($eldia); ?>&cal_m=<?php echo ($elmes); ?>&cal_y=<?php echo ($elany); ?>"><?php echo get_string('view');?> </a></td>	
		</tr>	
		<tr align="center" valign="top"><td colspan="4">&nbsp;</td></tr>
		<tr align="center" valign="top"><td colspan="4"><h2><?php echo ($strplanpacs); ?></h2></td></tr>			
		<tr valign="top" align="left">			
			<td colspan="3"><?php echo($strdescpacs) ?></td>
			<td><a href="edita.php?id=<?php echo ($id); ?>&course=<?php print $course; ?>"><?php echo get_string('view');?> </a></td>				
		</tr>	
	</table>
	
	
	<?php
	
	/// Finish the page

    print_footer($course);

?>
