<?PHP  // $Id: lib.php,v 1.3 2004/06/09 22:35:27 gustav_delius Exp $

/// Library of functions and constants for module planpacs

$planpacs_CONSTANT = 7;     /// for example


function planpacs_add_instance($planpacs) {
/// Given an object containing all the necessary data, 
/// (defined by the form in mod.html) this function 
/// will create a new instance and return the id number 
/// of the new instance.

    $planpacs->timemodified = time();

    # May have to add extra stuff in here #
    
    return insert_record("planpacs", $planpacs);
}


function planpacs_update_instance($planpacs) {
/// Given an object containing all the necessary data, 
/// (defined by the form in mod.html) this function 
/// will update an existing instance with new data.

    $planpacs->timemodified = time();
    $planpacs->id = $planpacs->instance;

    # May have to add extra stuff in here #

    return update_record("planpacs", $planpacs);
}


function planpacs_delete_instance($id) {
/// Given an ID of an instance of this module, 
/// this function will permanently delete the instance 
/// and any data that depends on it.  

    if (! $planpacs = get_record("planpacs", "id", "$id")) {
        return false;
    }

    $result = true;

    # Delete any dependent records here #

    if (! delete_records("planpacs", "id", "$planpacs->id")) {
        $result = false;
    }

    return $result;
}

function planpacs_user_outline($course, $user, $mod, $planpacs) {
/// Return a small object with summary information about what a 
/// user has done with a given particular instance of this module
/// Used for user activity reports.
/// $return->time = the time they did it
/// $return->info = a short text description

    return $return;
}

function planpacs_user_complete($course, $user, $mod, $planpacs) {
/// Print a detailed representation of what a  user has done with 
/// a given particular instance of this module, for user activity reports.

    return true;
}

function planpacs_print_recent_activity($course, $isteacher, $timestart) {
/// Given a course and a time, this module should find recent activity 
/// that has occurred in planpacs activities and print it out. 
/// Return true if there was output, or false is there was none.

    global $CFG;

    return false;  //  True if anything was printed, otherwise false 
}

function planpacs_cron () {
/// Function to be run periodically according to the moodle cron
/// This function searches for things that need to be done, such 
/// as sending out mail, toggling flags etc ... 

    global $CFG;

    return true;
}

function planpacs_grades($planpacsid) {
/// Must return an array of grades for a given instance of this module, 
/// indexed by user.  It also returns a maximum allowed grade.
///
///    $return->grades = array of grades;
///    $return->maxgrade = maximum allowed grade;
///
///    return $return;

   return NULL;
}

function planpacs_get_participants($planpacsid) {
//Must return an array of user records (all data) who are participants
//for a given instance of planpacs. Must include every user involved
//in the instance, independient of his role (student, teacher, admin...)
//See other modules as example.

    return false;
}

function planpacs_scale_used ($planpacsid,$scaleid) {
//This function returns if a scale is being used by one planpacs
//it it has support for grading and scales. Commented code should be
//modified if necessary. See forum, glossary or journal modules
//as reference.
   
    $return = false;

    //$rec = get_record("planpacs","id","$planpacsid","scale","-$scaleid");
    //
    //if (!empty($rec)  && !empty($scaleid)) {
    //    $return = true;
    //}
   
    return $return;
}

?>
